<?php declare( strict_types=1 );

namespace Wikibase\Repo\RestApi;

use MediaWiki\MediaWikiServices;
use Psr\Container\ContainerInterface;
use Wikibase\Repo\RestApi\RouteHandlers\RouteHandlerFeatureToggle;
use Wikibase\Repo\RestApi\UseCases\GetItem\GetItem;

/**
 * @license GPL-2.0-or-later
 */
class WbRestApi {

	public static function getGetItem( ContainerInterface $services = null ): GetItem {
		return ( $services ?: MediaWikiServices::getInstance() )
			->get( 'WbRestApi.GetItem' );
	}

	public static function getRouteHandlerFeatureToggle( ContainerInterface $services = null ): RouteHandlerFeatureToggle {
		return ( $services ?: MediaWikiServices::getInstance() )
			->get( 'WbRestApi.RouteHandlerFeatureToggle' );
	}

}
